For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

List Pages

GET
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages
GET
/stores/:store_hash/v3/content/pages
$curl https://api.bigcommerce.com/stores/store_hash/v3/content/pages \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": 1,
5 "channel_id": 1,
6 "name": "About Our Company",
7 "is_visible": true,
8 "parent_id": 0,
9 "sort_order": 0,
10 "type": "page",
11 "is_homepage": false,
12 "is_customers_only": false,
13 "url": "/about-our-company",
14 "meta_title": "Learn More About Our Company",
15 "meta_keywords": "company,about us,history",
16 "meta_description": "Discover the story behind our company and our commitment to quality.",
17 "search_keywords": "company,about us,history"
18 }
19 ],
20 "meta": {
21 "pagination": {
22 "total": 1,
23 "count": 1,
24 "per_page": 1,
25 "current_page": 1,
26 "total_pages": 1,
27 "links": {
28 "previous": null,
29 "current": "https://api.bigcommerce.com/stores/abc123/v3/content/pages?page=1&limit=1",
30 "next": null
31 }
32 }
33 }
34}
Returns one or more content pages. This endpoint supports bulk operations.
Was this page helpful?
Previous

Pages V3

Next

Create Pages

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

channel_idintegerOptional
Return only pages associated with the specified channel.
id:inlist of integersOptional

A comma-separated string of page IDs to fetch. Supports bulk operations. If none of the page IDs passed exist, the query will return an empty data array.

namestringOptional
Name of the page.
name:likestringOptional

Return only pages whose name or body contain the supplied string.

limitintegerOptional

The number of results to return per request. See meta.pagination.per_page in the response body.

pageintegerOptional

The ordered grouping of results to return. See meta.pagination.current_page in the response body.

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.